# dnssd Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# DNSSD::Responder Class Reference

This class should not be used directly. Internal class wrapping dns_sd.h interface. More...

`#include <responder.h>`

Inheritance diagram for DNSSD::Responder:

[legend]
Collaboration diagram for DNSSD::Responder:

[legend]
List of all members.

## Public Slots

void | process ()

## Public Member Functions

| Responder (DNSServiceRef ref=0, QObject *parent=0, const char *name=0)
bool | isRunning () const
void | setRef (DNSServiceRef ref)
void | stop ()

## Protected Attributes

DNSServiceRef | m_ref
bool | m_running
QSocketNotifier * | m_socket

## Detailed Description

This class should not be used directly. Internal class wrapping dns_sd.h interface.

Author:
  Jakub Stachowski

Definition at line 43 of file responder.h.

## Member Function Documentation

bool DNSSD::Responder::isRunning | ( |  | ) | const

| Returns true if it is possible to use mDNS service publishing and discovery. It needs mDNSResponder running. Definition at line 76 of file responder.cpp.

The documentation for this class was generated from the following files:

- responder.h
- responder.cpp

This file is part of the documentation for dnssd Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:28:25 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003